# GstLFOControlSource

GstLFOControlSource is a GstControlSource, that provides several periodic waveforms as control values.

To use GstLFOControlSource get a new instance by calling gst_lfo_control_source_new, bind it to a GParamSpec and set the relevant properties.

All functions are MT-safe.

## GstLFOControlSource

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstControlSource
                    ╰──GstLFOControlSource

The instance structure of GstControlSource.

### Members

`parent` (GstControlSource) –
No description available

### Class structure

#### GstLFOControlSourceClass

##### Fields

`parent_class` (GstControlSourceClass) –
No description available

### GstController.LFOControlSourceClass

##### Attributes

`parent_class` (Gst.ControlSourceClass) –
No description available

### GstController.LFOControlSourceClass

##### Attributes

`parent_class` (Gst.ControlSourceClass) –
No description available

## GstController.LFOControlSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlSource
                    ╰──GstController.LFOControlSource

The instance structure of Gst.ControlSource.

### Members

`parent` (Gst.ControlSource) –
No description available

## GstController.LFOControlSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlSource
                    ╰──GstController.LFOControlSource

The instance structure of Gst.ControlSource.

### Members

`parent` (Gst.ControlSource) –
No description available

### Constructors

#### gst_lfo_control_source_new

    GstControlSource *
    gst_lfo_control_source_new ()

This returns a new, unbound GstLFOControlSource.

Returns ( [transfer: full]) –

a new, unbound GstLFOControlSource.

#### GstController.LFOControlSource.prototype.new

    function GstController.LFOControlSource.prototype.new(): {
        // javascript wrapper for 'gst_lfo_control_source_new'
    }

This returns a new, unbound GstController.LFOControlSource.

Returns (Gst.ControlSource) –

a new, unbound GstController.LFOControlSource.

#### GstController.LFOControlSource.new

    def GstController.LFOControlSource.new ():
        #python wrapper for 'gst_lfo_control_source_new'

This returns a new, unbound GstController.LFOControlSource.

Returns (Gst.ControlSource) –

a new, unbound GstController.LFOControlSource.

### Properties

#### amplitude

    “amplitude” gdouble

Specifies the amplitude for the waveform of this GstLFOControlSource.

Flags : Read / Write

#### amplitude

    “amplitude” Number

Specifies the amplitude for the waveform of this GstController.LFOControlSource.

Flags : Read / Write

#### amplitude

    “self.props.amplitude” float

Specifies the amplitude for the waveform of this GstController.LFOControlSource.

Flags : Read / Write

#### frequency

    “frequency” gdouble

Specifies the frequency that should be used for the waveform of this GstLFOControlSource. It should be large enough so that the period is longer than one nanosecond.

Flags : Read / Write

#### frequency

    “frequency” Number

Specifies the frequency that should be used for the waveform of this GstController.LFOControlSource. It should be large enough so that the period is longer than one nanosecond.

Flags : Read / Write

#### frequency

    “self.props.frequency” float

Specifies the frequency that should be used for the waveform of this GstController.LFOControlSource. It should be large enough so that the period is longer than one nanosecond.

Flags : Read / Write

#### offset

    “offset” gdouble

Specifies the value offset for the waveform of this GstLFOControlSource.

Flags : Read / Write

#### offset

    “offset” Number

Specifies the value offset for the waveform of this GstController.LFOControlSource.

Flags : Read / Write

#### offset

    “self.props.offset” float

Specifies the value offset for the waveform of this GstController.LFOControlSource.

Flags : Read / Write

#### timeshift

    “timeshift” guint64

Specifies the timeshift to the right that should be used for the waveform of this GstLFOControlSource in nanoseconds.

To get a n nanosecond shift to the left use "(GST_SECOND / frequency) - n".

Flags : Read / Write

#### timeshift

    “timeshift” Number

Specifies the timeshift to the right that should be used for the waveform of this GstController.LFOControlSource in nanoseconds.

To get a n nanosecond shift to the left use "(GST_SECOND / frequency) - n".

Flags : Read / Write

#### timeshift

    “self.props.timeshift” int

Specifies the timeshift to the right that should be used for the waveform of this GstController.LFOControlSource in nanoseconds.

To get a n nanosecond shift to the left use "(GST_SECOND / frequency) - n".

Flags : Read / Write

#### waveform

    “waveform” GstLFOWaveform *

Specifies the waveform that should be used for this GstLFOControlSource.

Flags : Read / Write

#### waveform

    “waveform” GstController.LFOWaveform

Specifies the waveform that should be used for this GstController.LFOControlSource.

Flags : Read / Write

#### waveform

    “self.props.waveform” GstController.LFOWaveform

Specifies the waveform that should be used for this GstController.LFOControlSource.

Flags : Read / Write

## Enumerations

### GstLFOWaveform

The various waveform modes available.

##### Members

`GST_LFO_WAVEFORM_SINE` (0) –

sine waveform

`GST_LFO_WAVEFORM_SQUARE` (1) –

square waveform

`GST_LFO_WAVEFORM_SAW` (2) –

saw waveform

`GST_LFO_WAVEFORM_REVERSE_SAW` (3) –

reverse saw waveform

`GST_LFO_WAVEFORM_TRIANGLE` (4) –

triangle waveform

### GstController.LFOWaveform

The various waveform modes available.

##### Members

`GstController.LFOWaveform.SINE` (0) –

sine waveform

`GstController.LFOWaveform.SQUARE` (1) –

square waveform

`GstController.LFOWaveform.SAW` (2) –

saw waveform

`GstController.LFOWaveform.REVERSE_SAW` (3) –

reverse saw waveform

`GstController.LFOWaveform.TRIANGLE` (4) –

triangle waveform

### GstController.LFOWaveform

The various waveform modes available.

##### Members

`GstController.LFOWaveform.SINE` (0) –

sine waveform

`GstController.LFOWaveform.SQUARE` (1) –

square waveform

`GstController.LFOWaveform.SAW` (2) –

saw waveform

`GstController.LFOWaveform.REVERSE_SAW` (3) –

reverse saw waveform

`GstController.LFOWaveform.TRIANGLE` (4) –

triangle waveform

## Constants

### GST_TYPE_LFO_CONTROL_SOURCE

    #define GST_TYPE_LFO_CONTROL_SOURCE \
      (gst_lfo_control_source_get_type ())

The results of the search are